Skip to main content
GET
/
sales-report
Retrieve Company Sales Report
curl --request GET \
  --url https://api.nuwebgroup.com/v1/sales-report \
  --header 'Authorization: Bearer <token>'
[
  {
    "currencySymbol": "Β£",
    "today": {
      "cash": 200,
      "card": 300,
      "total": 500
    },
    "thisWeek": {
      "cash": 200,
      "card": 300,
      "total": 500
    },
    "allTime": {
      "cash": 200,
      "card": 300,
      "total": 500
    },
    "days": [
      {
        "date": "2021-01-01",
        "value": {
          "cash": 200,
          "card": 300,
          "total": 500
        }
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

shopId
integer

When specified, only this epos shop's sales will be returned.

Response

Successfully retrieved the sales report.

currencySymbol
string
today
object
thisWeek
object
allTime
object
days
object[]
Example:
[
{
"currencySymbol": "Β£",
"today": { "cash": 200, "card": 300, "total": 500 },
"thisWeek": { "cash": 200, "card": 300, "total": 500 },
"allTime": { "cash": 200, "card": 300, "total": 500 },
"days": [
{
"date": "2021-01-01",
"value": { "cash": 200, "card": 300, "total": 500 }
}
]
}
]